package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

type HappyOrchardTaskUserRewardDb struct {
	Db *xorm.Engine
}

func NewHappyOrchardTaskUserRewardDb(engine *xorm.Engine) dao.HappyOrchardTaskUserRewardDao {
	return &HappyOrchardTaskUserRewardDb{Db: engine}
}
func (h HappyOrchardTaskUserRewardDb) GetHappyOrchardTaskUserRewardByIdAndTime(uid string, taskId int, stime, etime int64) (count int64, err error) {
	sess := h.Db.Where("uid = ?   AND task_id = ? and create_time>=?",
		uid, taskId, stime)
	if etime > 0 {
		sess.And("create_time<?", etime)
	}
	total, err := sess.Count(&models.HappyOrchardTaskUserReward{})
	return total, err
}
func (h HappyOrchardTaskUserRewardDb) GetHappyOrchardTaskUserRewardByIdAndTimeSum(uid string, taskId int, stime, etime int64, i int) int64 {
	var totals float64 = 0
	if i == 0 {
		sess := h.Db.Where("uid = ?   AND task_id = ? and create_time>=?",
			uid, taskId, stime)
		if etime > 0 {
			sess.And("create_time<?", etime)
		}
		total, _ := sess.Sum(&models.HappyOrchardTaskUserReward{}, "task_num")
		totals = total
	}
	if i == 1 {
		sess1 := h.Db.Where("uid = ?   AND task_id = ? and create_time>=?",
			uid, taskId, stime)
		if etime > 0 {
			sess1.And("create_time<?", etime)
		}
		total1, _ := sess1.Sum(&models.HappyOrchardTaskUserReward{}, "task_num_second")
		totals = total1
	}

	return int64(totals)
}
