package models

type HappyOrchardSeed struct {
	Id                     int    `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	Name                   string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	WaterNums              int    `json:"water_nums" xorm:"not null default 0 comment('所需水滴数') INT(11)"`
	SeedImgUrl             string `json:"seed_img_url" xorm:"not null default '' comment('种子图片地址') VARCHAR(255)"`
	SeedMatureImgUrl       string `json:"seed_mature_img_url" xorm:"not null default '' comment('种子成熟后图片地址') VARCHAR(255)"`
	Sort                   int    `json:"sort" xorm:"not null default 0 comment('排序') INT(11)"`
	NeedWatersNumForStage0 int    `json:"need_waters_num_for_stage_0" xorm:"need_waters_num_for_stage_0 not null default 0 comment('阶段1所需水滴数') INT(11)"`
	NeedWatersNumForStage1 int    `json:"need_waters_num_for_stage_1" xorm:"need_waters_num_for_stage_1 not null default 0 comment('阶段2所需水滴数') INT(11)"`
	NeedWatersNumForStage2 int    `json:"need_waters_num_for_stage_2" xorm:"need_waters_num_for_stage_2 not null default 0 comment('阶段3所需水滴数') INT(11)"`
	NeedWatersNumForStage3 int    `json:"need_waters_num_for_stage_3" xorm:"need_waters_num_for_stage_3 not null default 0 comment('阶段4所需水滴数') INT(11)"`
	NeedWatersNumForStage4 int    `json:"need_waters_num_for_stage_4" xorm:"need_waters_num_for_stage_4 not null default 0 comment('阶段5所需水滴数') INT(11)"`
	NeedWatersNumForStage5 int    `json:"need_waters_num_for_stage_5" xorm:"need_waters_num_for_stage_5 not null default 0 comment('阶段6所需水滴数') INT(11)"`
	ImageForStage0         string `json:"image_for_stage_0" xorm:"image_for_stage_0 not null default '' comment('阶段1~2树苗图片') VARCHAR(255)"`
	ImageForStage1         string `json:"image_for_stage_1" xorm:"image_for_stage_1 not null default '' comment('阶段2~3树苗图片') VARCHAR(255)"`
	ImageForStage2         string `json:"image_for_stage_2" xorm:"image_for_stage_2 not null default '' comment('阶段3~4树苗图片') VARCHAR(255)"`
	ImageForStage3         string `json:"image_for_stage_3" xorm:"image_for_stage_3 not null default '' comment('阶段4~5树苗图片') VARCHAR(255)"`
	ImageForStage4         string `json:"image_for_stage_4" xorm:"image_for_stage_4 not null default '' comment('阶段5~6树苗图片') VARCHAR(255)"`
	IsUse                  int    `json:"is_use" xorm:"not null default 1 comment('是否可用(1:可用 2:不可用)') TINYINT(1)"`
	CreateAt               string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt               string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
