package models

type HappyOrchardTaskUserReward struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid           int    `json:"uid" xorm:"default 0 comment('用户id') index INT(11)"`
	Type          string `json:"type" xorm:"default '' comment('类型 sign签到') index VARCHAR(255)"`
	Title         string `json:"title" xorm:"default '' comment('任务标题') VARCHAR(255)"`
	IsFinish      int    `json:"is_finish" xorm:"default 0 comment('是否完成') INT(1)"`
	CreateTime    int    `json:"create_time" xorm:"default 0 comment('创建时间') index INT(11)"`
	FinishTime    int    `json:"finish_time" xorm:"default 0 comment('完成时间') INT(11)"`
	Reward        string `json:"reward" xorm:"default '' comment('奖励 ["0":""]') VARCHAR(255)"`
	TaskId        int    `json:"task_id" xorm:"default 0 comment('任务id') INT(11)"`
	TaskNum       int    `json:"task_num" xorm:"default 0 comment('任务数量') INT(11)"`
	Platform      string `json:"platform" xorm:"default '' comment('平台') VARCHAR(255)"`
	TaskNumSecond int    `json:"task_num_second" xorm:"default 0 INT(11)"`
	TaskName      string `json:"task_name" xorm:"VARCHAR(255)"`
	Oid           int64  `json:"oid" xorm:"default 0 BIGINT(20)"`
	DeviceModel   string `json:"device_model" xorm:"VARCHAR(255)"`
	Bili          string `json:"bili" xorm:"VARCHAR(255)"`
	BiliType      int    `json:"bili_type" xorm:"default 0 INT(11)"`
	TaskType      string `json:"task_type" xorm:"default '' VARCHAR(255)"`
	Price         string `json:"price" xorm:"default 0.000000 DECIMAL(20,6)"`
	OldPrice      string `json:"old_price" xorm:"default 0.000000 DECIMAL(20,6)"`
	Ext           string `json:"ext" xorm:"VARCHAR(5000)"`
	IsSend        int    `json:"is_send" xorm:"default 0 INT(1)"`
}
